### Function

# FwupdPlugin bytes_to_string

since: 2.0.4

#### Declaration [src]

    gchar*
    fu_bytes_to_string (
      GBytes* bytes
    )

#### Description [src]

Converts `bytes` to a lowercase hex string.

Available since: 2.0.4

#### Parameters

`bytes`

  Type: `GBytes`

  Data blob.

  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

A string, which may be zero length.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.